package org.websparrow.controller;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.websparrow.model.Employee;

@RestController
@RequestMapping("/employee")
public class EmployeeController {

	@GetMapping("/getRequest")
	public Employee getEmp() {

		Employee emp = new Employee();
		emp.setId(101);
		emp.setName("Vipul");
		emp.setSalary(101010.26f);
		emp.setCompany("Microsoft");

		return emp;
	}

	@PostMapping("/postRequest")
	public Employee postEmp(@RequestBody Employee employee) {
		return employee;
	}
}
